Gecode::Search::Worker Class Reference

Search worker statistics More...

`#include <worker.hh>`

## Public Member Functions

| Worker (void)
| Initialize.
void | start (void)
| Reset stop information.
bool | stop (const Options &o)
| Check whether engine must be stopped.
bool | stopped (void) const
| Check whether engine has been stopped.
void | reset (unsigned long int d=0)
| Reset statistics with root depth d.
void | stack_depth (unsigned long int d)
| Record stack depth d.
unsigned long int | steal_depth (unsigned long int d) const
| Return steal depth.
Public Member Functions inherited from Gecode::Search::Statistics
| Statistics (void)
| Initialize.
void | reset (void)
| Reset.
Statistics | operator+ (const Statistics &s)
| Return sum with s.
Statistics & | operator+= (const Statistics &s)
| Increment by statistics s.
Public Member Functions inherited from Gecode::StatusStatistics
| StatusStatistics (void)
| Initialize.
void | reset (void)
| Reset information.
StatusStatistics | operator+ (const StatusStatistics &s)
| Return sum with s.
StatusStatistics & | operator+= (const StatusStatistics &s)
| Increment by statistics s.

## Protected Attributes

bool | _stopped
| Whether engine has been stopped.
unsigned long int | root_depth
| Depth of root node (for work stealing).

## Additional Inherited Members

Public Attributes inherited from Gecode::Search::Statistics
unsigned long int | fail
| Number of failed nodes in search tree.
unsigned long int | node
| Number of nodes expanded.
unsigned long int | depth
| Maximum depth of search stack.
unsigned long int | restart
| Number of restarts.
unsigned long int | nogood
| Number of no-goods posted.
Public Attributes inherited from Gecode::StatusStatistics
unsigned long int | propagate
| Number of propagator executions.

## Detailed Description

Search worker statistics

Definition at line 44 of file worker.hh.

## Constructor & Destructor Documentation

## Worker()

Gecode::Search::Worker::Worker | ( | void |  | ) |

inline

Initialize.

Definition at line 70 of file worker.hh.

## Member Function Documentation

## start()

void Gecode::Search::Worker::start | ( | void |  | ) |

inline

Reset stop information.

Definition at line 74 of file worker.hh.

## stop()

bool Gecode::Search::Worker::stop | ( | const Options & | o | ) |

inline

Check whether engine must be stopped.

Definition at line 79 of file worker.hh.

## stopped()

bool Gecode::Search::Worker::stopped | ( | void |  | ) | const

inline

Check whether engine has been stopped.

Definition at line 87 of file worker.hh.

## reset()

void Gecode::Search::Worker::reset | ( | unsigned long int | d = 0 | ) |

inline

Reset statistics with root depth d.

Definition at line 92 of file worker.hh.

## stack_depth()

void Gecode::Search::Worker::stack_depth | ( | unsigned long int | d | ) |

inline

Record stack depth d.

Definition at line 100 of file worker.hh.

## steal_depth()

unsigned long int Gecode::Search::Worker::steal_depth | ( | unsigned long int | d | ) | const

inline

Return steal depth.

Definition at line 106 of file worker.hh.

## Member Data Documentation

## _stopped

bool Gecode::Search::Worker::_stopped

protected

Whether engine has been stopped.

Definition at line 47 of file worker.hh.

## root_depth

unsigned long int Gecode::Search::Worker::root_depth

protected

Depth of root node (for work stealing).

Definition at line 49 of file worker.hh.

The documentation for this class was generated from the following file:

- gecode/search/worker.hh